SELF_DIR := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
REL_DIR := $(patsubst %/,%,$(dir $(lastword $(MAKEFILE_LIST))))
ifeq ($(MKDBG), 1)
$(info >>> $(REL_DIR)/component.mk)
endif
$(eval C_SOURCES += $(wildcard $(REL_DIR)/platform/*.c))
$(eval COMMON_INCLUDES += -I$(REL_DIR) -I$(REL_DIR)/gtest_i386/include)
$(eval LIBDIR += -L$(REL_DIR)/gtest_i386/lib)
$(eval LIBS += -lgtest -lgtest_main -lpthread)
$(eval COMPONENT_DEPS += $(REL_DIR)/gtest_i386)

$(REL_DIR)/gtest_i386:
	$(REL_DIR)/build-googletest.sh gtest_i386

ifeq ($(MKDBG), 1)
$(info <<<)
endif
